% Create struct from simulation, similar to experimental data

F.WPtracking = false;
F.holdCurrentFormation = false;
F.N = N;
F.L = L;
F.D = D;
F.Z = z_d;
F.X = x_c;
F.agents = 1:N;
%F.plotView = [-120,30]; % [Az, El]
F.plotView = [-160,40];
F.legendDesiredLocation = 'northeast';

for i = 1:N
    pos{i} = logger.get('x', coordForEach(i));
    vel{i} = logger.get('v', coordForEach(i));

    F.SynchedFormPos.x{i} = pos{i}(1,:)';
    F.SynchedFormPos.y{i} = pos{i}(2,:)';
    F.SynchedFormPos.z{i} = pos{i}(3,:)';
    F.SynchedFormPos.vx{i} = vel{i}(1,:)';
    F.SynchedFormPos.vy{i} = vel{i}(2,:)';
    F.SynchedFormPos.vz{i} = vel{i}(3,:)';
end
F.SynchedFormPos.t = time;
F.SynchedFormPos.N = numel(time);
F.SynchedFormPos.inFormation = logical(logger.get('inFormation',1));
