numPlots = 6;
figNum = @(log,plot)(numPlots*(log - 1) + plot);

for i = 1:numel(F)
%for i = use % Uncomment to only plot/animate/export set number in 'use'
    if animateOnly
        numPlots = 2;
        figure(figNum(i,1));
        F{i} = PlotFormation3D(F{i});
        figure(figNum(i,2));
        AnimateFormation3D(F{i});
        continue;
    end    
    
    h{1} = figure(figNum(i,1));
    PlotFormation2D(F{i})
    
    h{2} = figure(figNum(i,2));
    PlotFormationAltitude(F{i})
    
    h{3} = figure(figNum(i,3));
    PlotFormation3D(F{i});
    
    h{4} = figure(figNum(i,4));
    PlotDesiredFormation(F{i})
    
    h{5} = figure(figNum(i,5));
    PlotFormationErrors(F{i})
    
    h{6} = figure(figNum(i,6));
    PlotFormationVelocity(F{i})
    
    if export
        % Export to latex
        exportPlot(figNum(i,1),sprintf('2D_%s',folders{i}),'full','golden');
        exportPlot(figNum(i,2),sprintf('alt_%s',folders{i}),'full',3/1);
        exportPlot(figNum(i,3),sprintf('3D_%s',folders{i}),'full','golden');
        exportPlot(figNum(i,4),sprintf('desForm_%s',folders{i}),0.6,'golden');
        exportPlot(figNum(i,5),sprintf('linkErr_%s',folders{i}),'full',3/1);
        exportPlot(figNum(i,6),sprintf('vel_%s',folders{i}),'full',1);
    end
end