figure(10);
t = 1;
if movie
    M =  cell(1, length(time));
end
while t <= length(time)
    timeToDraw = tic;
    clf;
    hold on;
    for i = 1:N
        pos_i = logger.get('x', coordForEach(i), 1:t);
        plot3_NED(pos_i','--',col(i,:));
        plot3_NED(pos_i(:,1)','x',col(i,:));
        plot3_NED(pos_i(:,end)','o',col(i,:));
    end
    title(sprintf('Time [s]: %.3f', time(t)))

    grid on
    axis('equal')
    axis([lim_x, lim_y, lim_z])
    view(plotView)

    drawnow

    if movie
        M{t} = getframe(gcf);
    end

    timeToDraw = toc(timeToDraw);
    step = int32(timeToDraw/h);
    if t+step > length(time)
        step = length(time)-t;
    end
    if movie
        step = 0.05/h;
    end
    if step < 1
        step = 1;
    end
    t = t + step;
end
if movie
    writeVideoMPEG4(M, 20, name);
end