function PlotDesiredFormation(F)

plotView = [-120,30]; % [Az, El]
col = get(groot,'DefaultAxesColorOrder');
clf


hold on
legends = {};
legendIDs = [];
for i = 1:F.N
    legendIDs(end+1) = plot3_NED(F.X(:,i)',...
        'o',col(i,:));
    legends{end+1} = sprintf('Agent %g', i);
end

hold off
grid on
%title('Position');
%axis image

% Add legends
h = legend(legendIDs, legends);
h.Location = 'east';

axis('equal')
view(plotView)


% Add title
if isfield(F,'name')
    suptitle(F.name)
end

end

